var React = require('react');
var BemMixin = require('./BemMixin');

var PropTypes = React.PropTypes;

var Image = React.createClass({
    displayName: 'Image',
    mixins: [BemMixin]
});

// @ifdef DEBUG
Image.propTypes = {
    alt: PropTypes.string,
    height: PropTypes.number,
    mod: PropTypes.string,
    title: PropTypes.string,
    url: PropTypes.string,
    width: PropTypes.number
};
// @endif

module.exports = Image;
